package com.example.patrice.voice02;

import android.speech.tts.TextToSpeech;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;
import java.util.Locale;

public class Text_to_speech01 extends AppCompatActivity implements TextToSpeech.OnInitListener
{

    TextToSpeech textToSpeech;
    Button button;
    EditText editText;

    @Override
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);

        setContentView(R.layout.speech_layout);

        textToSpeech = new TextToSpeech(Text_to_speech01.this, Text_to_speech01.this);
        textToSpeech.setSpeechRate(1); // 1 est la valeur par défaut. Une valeur inférieure rendra l'énonciation plus lente, une valeur supérieure la rendra plus rapide.
        textToSpeech.setPitch(1); // 1 est la valeur par défaut. Une valeur inférieure rendra l'énonciation plus grave, une valeur supérieure la rendra plus aigue.

        button = (Button) findViewById(R.id.button);

        editText = (EditText) findViewById(R.id.editText);

        button.setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View arg0) {

                TextToSpeechFunction() ;
            }

        });
    }

    public void TextToSpeechFunction()
    {

        String textholder =  "Bonjour patrice, tu as un grand sens de l'humour pour la bite je sais pas ?"; // editText.getText().toString();

        textToSpeech.speak(textholder, TextToSpeech.QUEUE_FLUSH, null);

       // Toast.makeText(Text_to_speech01.this , textholder, Toast.LENGTH_LONG).show();
    }

    @Override
    public void onDestroy() {

        textToSpeech.shutdown();

        super.onDestroy();
    }

    @Override
    public void onInit(int Text2SpeechCurrentStatus) {

        if (Text2SpeechCurrentStatus == TextToSpeech.SUCCESS) {

            textToSpeech.setLanguage(Locale.FRENCH);

            button.setEnabled(true);

            TextToSpeechFunction();
        }

    }
}
